Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### redraw()
Examples |
    float x = 0;

    void setup() {
      size(200, 200);
      noLoop();
    }

    void draw() {
      background(204);
      line(x, 0, x, height);
    }

    void mousePressed() {
      x += 1;
      redraw();
    }
Description | Executes the code within draw() one time. This functions allows the program to update the display window only when necessary, for example when an event registered by mousePressed() or keyPressed() occurs. In structuring a program, it only makes sense to call redraw() within events such as mousePressed(). This is because redraw() does not run draw() immediately (it only sets a flag that indicates an update is needed). Calling redraw() within draw() has no effect because draw() is continuously called anyway.
Syntax |
    redraw()
Parameters |
Usage | Web & Application
Related | noLoop() loop()

Updated on June 28, 2007 05:11:00am PDT